# Uses of Enum Class
org.bukkit.entity.Rabbit.Type

Packages that use Rabbit.Type
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Rabbit.Type in org.bukkit.entity

Methods in org.bukkit.entity that return Rabbit.Type
Modifier and Type
Method
Description
`@NotNull Rabbit.Type`
Rabbit.`getRabbitType()`
`static Rabbit.Type`
Rabbit.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Rabbit.Type[]`
Rabbit.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Rabbit.Type
Modifier and Type
Method
Description
`void`
Rabbit.`setRabbitType(@NotNull Rabbit.Type type)`